Bug 199840 - Missing Prereq: coreutils
Missing Prereq: coreutils
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-23 01:44 EDT by Jan Kratochvil
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 18:10:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2006-07-23 01:44:55 EDT
Description of problem:
Installation of Red Hat RawHide using custom bootstrapping script fails on it.

Version-Release number of selected component (if applicable):
audit-1.2.5-4.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1. rpm --root=/root/redhat/rawhide/root -i MAKEDEV-3.23-1.2.x86_64.rpm
SysVinit-2.86-6.x86_64.rpm audit-1.2.5-4.x86_64.rpm
audit-libs-1.2.5-4.x86_64.rpm basesystem-8.0-5.1.1.noarch.rpm
bash-3.1-16.1.x86_64.rpm beecrypt-4.1.2-10.1.1.x86_64.rpm
bzip2-libs-1.0.3-3.x86_64.rpm chkconfig-1.3.29-1.1.x86_64.rpm
coreutils-5.97-6.x86_64.rpm cpio-2.6-19.x86_64.rpm cracklib-2.8.9-3.1.x86_64.rpm
cracklib-dicts-2.8.9-3.1.x86_64.rpm db4-4.3.29-6.x86_64.rpm
device-mapper-1.02.07-1.1.x86_64.rpm dmraid-1.0.0.rc11-FC6.1.1.x86_64.rpm
e2fsprogs-1.39-3.x86_64.rpm e2fsprogs-libs-1.39-3.x86_64.rpm
elfutils-libelf-0.122-3.fc6.x86_64.rpm ethtool-3-1.2.2.x86_64.rpm
expat-1.95.8-8.2.1.x86_64.rpm fedora-release-5.90-3.noarch.rpm
filesystem-2.3.7-2.1.x86_64.rpm findutils-4.2.27-4.1.x86_64.rpm
gawk-3.1.5-11.x86_64.rpm gdbm-1.8.0-26.2.1.x86_64.rpm
glib2-2.12.0-1.1.x86_64.rpm glibc-2.4.90-13.x86_64.rpm
glibc-common-2.4.90-13.x86_64.rpm grep-2.5.1-54.1.x86_64.rpm
gzip-1.3.5-7.x86_64.rpm hwdata-0.183-1.noarch.rpm info-4.8-11.1.x86_64.rpm
initscripts-8.36-1.x86_64.rpm iproute-2.6.16-3.1.x86_64.rpm
iputils-20020927-39.x86_64.rpm kernel-2.6.17-1.2432.fc6.x86_64.rpm
krb5-libs-1.5-1.2.x86_64.rpm less-394-4.1.x86_64.rpm
libacl-2.2.39-1.1.x86_64.rpm libattr-2.4.32-1.1.x86_64.rpm
libcap-1.10-25.x86_64.rpm libgcc-4.1.1-9.x86_64.rpm
libselinux-1.30.19-3.x86_64.rpm libsepol-1.12.19-1.1.x86_64.rpm
libstdc++-4.1.1-9.x86_64.rpm libtermcap-2.0.8-46.1.x86_64.rpm
libusb-0.1.12-5.1.x86_64.rpm lvm2-2.02.06-1.2.1.x86_64.rpm
mcstrans-0.1.7-1.1.x86_64.rpm mingetty-1.07-5.2.2.x86_64.rpm
mkinitrd-5.1.1-1.x86_64.rpm mktemp-1.5-23.2.2.x86_64.rpm
module-init-tools-3.3-0.pre1.4.1.x86_64.rpm ncurses-5.5-22.20060715.x86_64.rpm
neon-0.25.5-5.1.x86_64.rpm net-tools-1.60-72.1.x86_64.rpm
openssl-0.9.8b-4.x86_64.rpm pam-0.99.5.0-5.fc6.x86_64.rpm
pcre-6.6-1.1.x86_64.rpm popt-1.10.2-31.x86_64.rpm procps-3.2.7-3.x86_64.rpm
psmisc-22.2-5.x86_64.rpm python-2.4.3-14.fc6.x86_64.rpm
readline-5.1-1.1.x86_64.rpm rpm-4.4.2-31.x86_64.rpm rpm-libs-4.4.2-31.x86_64.rpm
sed-4.1.5-3.fc6.x86_64.rpm setup-2.5.52-1.noarch.rpm
shadow-utils-4.0.17-1.x86_64.rpm sqlite-3.3.6-1.1.x86_64.rpm
sysklogd-1.4.1-39.1.x86_64.rpm tar-1.15.90-4.x86_64.rpm
termcap-5.5-1.20060701.1.noarch.rpm tzdata-2006g-1.1.noarch.rpm
udev-095-3.x86_64.rpm usbutils-0.71-2.1.x86_64.rpm
util-linux-2.13-0.33.x86_64.rpm wget-1.10.2-5.1.x86_64.rpm zlib-1.2.3-3.x86_64.rpm

Actual results:
/var/tmp/rpm-tmp.89125: line 12: cat: command not found
/var/tmp/rpm-tmp.89125: line 13: rm: command not found
error: %post(audit-1.2.5-4.x86_64) scriptlet failed, exit status 127

Expected results:
Installed "audit" package.

Additional info:
rpm -q --scripts -p audit-1.2.5-4.x86_64.rpm
shows using cat(1) and rpm(1) but no appropriate "Prereq" is present there.
Comment 1 Steve Grubb 2006-07-23 15:59:22 EDT
You are running the rpm command which has a requirement for fileutils. Resolving
that shows that coreutils provides it. Therefore rpm itself needs it and no
package should EVER specify a need for coreutils.
Comment 2 Jan Kratochvil 2006-07-23 16:51:36 EDT
I did not expect this point of view while I understand it may be acceptable.
Not going to flame anymore.

I just do not feel that installing 3rd party .rpm package must mean there is
"rpm" package already installed.  Such assumption is mostly always violated if
using --root and thus --root would not make sense anymore.

[joke] BTW please update the following packages with all these useless Preqreqs:
httpd.spec:Prereq: sh-utils, textutils, /usr/sbin/useradd
kernel-2.6.spec:Prereq: fileutils
mysql.spec:Prereq: ... fileutils ...
squid.spec:Prereq: ... shadow-utils
[many others]

Note You need to log in before you can comment on or make changes to this bug.